<div *ngIf="!auth.authenticated()">
  <h2>You are not authenticated!</h2>
  <button class="btn btn-primary btn-margin" (click)="auth.login()" >Log In</button>
</div>

<div *ngIf="auth.authenticated()">
  <h2>Hello x!</h2>
  <a class="btn btn-primary btn-margin" href="/profile">Profile</a>
  <button class="btn btn-primary btn-margin" (click)="auth.logout()">Log Out</button>
</div>
